Skip to content

Reset setting

POST/policies/{policyId}/settings/{settingKey}/reset

Endpoint API · Policy Management

Reset a setting to its default value.

Required permissionendpoint-policy:update

Parameters

Name In Type Required Description
X-Tenant-ID header string (uuid) Yes Tenant ID.
policyId path string (uuid) Yes Policy ID.
settingKey path string Yes Setting key.
Must match the pattern ^[-a-z0-9.]+$.

Request samples

curl -X POST "https://api-<data-region>.central.sophos.com/endpoint/v1/policies/<policyId>/settings/<settingKey>/reset" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"

import requests

response = requests.post(
    "https://api-<data-region>.central.sophos.com/endpoint/v1/policies/<policyId>/settings/<settingKey>/reset",
    headers={
        "Authorization": "Bearer <access-token>",
        "X-Tenant-ID": "<tenant-id>",
    },
)
print(response.json())

$headers = @{
    "Authorization" = "Bearer <access-token>"
    "X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method POST -Uri "https://api-<data-region>.central.sophos.com/endpoint/v1/policies/<policyId>/settings/<settingKey>/reset" -Headers $headers

package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, err := http.NewRequest("POST", "https://api-<data-region>.central.sophos.com/endpoint/v1/policies/<policyId>/settings/<settingKey>/reset", nil)
    if err != nil {
        panic(err)
    }
    req.Header.Set("Authorization", "Bearer <access-token>")
    req.Header.Set("X-Tenant-ID", "<tenant-id>")

    resp, err := http.DefaultClient.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}

const response = await fetch("https://api-<data-region>.central.sophos.com/endpoint/v1/policies/<policyId>/settings/<settingKey>/reset", {
  method: "POST",
  headers: {
    "Authorization": "Bearer <access-token>",
    "X-Tenant-ID": "<tenant-id>",
  },
});
const data = await response.json();
console.log(data);

Responses

200 — The resetted setting.

Response fields

commentstring
User comment explaining why this setting value was chosen.
Must be at most 100 characters long.

Errors

Status Meaning
404 Not found.
409 Can't reset base policies and policies locked by a managing account.
500 Unexpected error.

All error responses share the same shape — see the error response object.

Response examples

200

{
  "comment": "string"
}

See the guide for a narrative walkthrough of this API.